Index: trunk/sources/HeuristicLab.Hive.Contracts/HeuristicLab.Hive.Contracts.csproj
===================================================================
--- trunk/sources/HeuristicLab.Hive.Contracts/HeuristicLab.Hive.Contracts.csproj	(revision 951)
+++ trunk/sources/HeuristicLab.Hive.Contracts/HeuristicLab.Hive.Contracts.csproj	(revision 952)
@@ -84,4 +84,5 @@
     <Compile Include="BusinessObjects\User.cs" />
     <Compile Include="BusinessObjects\UserGroup.cs" />
+    <Compile Include="ResponseObject.cs" />
     <Compile Include="Interfaces\IJob.cs" />
     <Compile Include="Interfaces\IClientManager.cs" />
Index: trunk/sources/HeuristicLab.Hive.Contracts/Interfaces/IUserRoleManager.cs
===================================================================
--- trunk/sources/HeuristicLab.Hive.Contracts/Interfaces/IUserRoleManager.cs	(revision 951)
+++ trunk/sources/HeuristicLab.Hive.Contracts/Interfaces/IUserRoleManager.cs	(revision 952)
@@ -15,9 +15,9 @@
     ResponseList<User> GetAllUsers();
     [OperationContract]
-    Response AddNewUser(User user);
+    ResponseObject<User> AddNewUser(User user);
     [OperationContract]
     Response RemoveUser(long userId);
     [OperationContract]
-    Response AddNewUserGroup(UserGroup userGroup);
+    ResponseObject<UserGroup> AddNewUserGroup(UserGroup userGroup);
     [OperationContract]
     Response RemoveUserGroup(long groupId);
Index: trunk/sources/HeuristicLab.Hive.Contracts/ResponseObject.cs
===================================================================
--- trunk/sources/HeuristicLab.Hive.Contracts/ResponseObject.cs	(revision 952)
+++ trunk/sources/HeuristicLab.Hive.Contracts/ResponseObject.cs	(revision 952)
@@ -0,0 +1,36 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2008 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Text;
+using System.Runtime.Serialization;
+
+namespace HeuristicLab.Hive.Contracts {
+
+  [DataContract]
+  public class ResponseObject<T> : Response {
+    [DataMember]
+    public T Obj { get; set; }
+
+  }
+}
Index: trunk/sources/HeuristicLab.Hive.Server.Core/ServerConsoleFacade.cs
===================================================================
--- trunk/sources/HeuristicLab.Hive.Server.Core/ServerConsoleFacade.cs	(revision 951)
+++ trunk/sources/HeuristicLab.Hive.Server.Core/ServerConsoleFacade.cs	(revision 952)
@@ -76,9 +76,9 @@
     }
 
-    public Response AddNewUser(User user) {
+    public ResponseObject<User> AddNewUser(User user) {
       return userRoleManager.AddNewUser(user);
     }
 
-    public ResponseList<HeuristicLab.Hive.Contracts.BusinessObjects.UserGroup> GetAllUserGroups() {
+    public ResponseList<UserGroup> GetAllUserGroups() {
       return userRoleManager.GetAllUserGroups();
     }
@@ -88,5 +88,5 @@
     }
 
-    public Response AddNewUserGroup(UserGroup userGroup) {
+    public ResponseObject<UserGroup> AddNewUserGroup(UserGroup userGroup) {
       return userRoleManager.AddNewUserGroup(userGroup);
     }
Index: trunk/sources/HeuristicLab.Hive.Server.Core/UserRoleManager.cs
===================================================================
--- trunk/sources/HeuristicLab.Hive.Server.Core/UserRoleManager.cs	(revision 951)
+++ trunk/sources/HeuristicLab.Hive.Server.Core/UserRoleManager.cs	(revision 952)
@@ -35,6 +35,6 @@
     }
 
-    public Response AddNewUser(User user) {
-      Response response = new Response();
+    public ResponseObject<User> AddNewUser(User user) {
+      ResponseObject<User> response = new ResponseObject<User>();
 
       if (user.PermissionOwnerId != 0) {
@@ -44,4 +44,5 @@
       }
       userAdapter.UpdateUser(user);
+      response.Obj = user;
       response.Success = true;
       response.StatusMessage = ApplicationConstants.RESPONSE_USERROLE_USER_SUCCESSFULLY_ADDED;
@@ -75,6 +76,6 @@
     }
 
-    public Response AddNewUserGroup(UserGroup userGroup) {
-      Response response = new Response();
+    public ResponseObject<UserGroup> AddNewUserGroup(UserGroup userGroup) {
+      ResponseObject<UserGroup> response = new ResponseObject<UserGroup>();
       
       if (userGroup.PermissionOwnerId != 0) {
@@ -84,4 +85,5 @@
       }
       userGroupAdapter.UpdateUserGroup(userGroup);
+      response.Obj = userGroup;
       response.Success = false;
       response.StatusMessage = ApplicationConstants.RESPONSE_USERROLE_USERGROUP_ADDED;