Index: trunk/sources/HeuristicLab.Hive.Contracts/ApplicationConstants.cs
===================================================================
--- trunk/sources/HeuristicLab.Hive.Contracts/ApplicationConstants.cs	(revision 966)
+++ trunk/sources/HeuristicLab.Hive.Contracts/ApplicationConstants.cs	(revision 967)
@@ -41,4 +41,10 @@
     public static string RESPONSE_COMMUNICATOR_NO_JOBS_LEFT = "Communicator.NoJobsLeft";
 
+    public static string RESPONSE_JOB_ALL_JOBS = "Job.AllJobs";
+    public static string RESPONSE_JOB_ID_MUST_NOT_BE_SET = "Job.IdMustNotBeSet";
+    public static string RESPONSE_JOB_JOB_ADDED = "Job.JobAdded";
+    public static string RESPONSE_JOB_JOB_NULL = "Job.JobNull";
+    public static string RESPONSE_JOB_JOB_DOESNT_EXIST = "JobDoesntExist";
+    public static string RESPONSE_JOB_JOB_REMOVED = "Job.JobRemoved";
   }
 }
Index: trunk/sources/HeuristicLab.Hive.Contracts/BusinessObjects/Job.cs
===================================================================
--- trunk/sources/HeuristicLab.Hive.Contracts/BusinessObjects/Job.cs	(revision 966)
+++ trunk/sources/HeuristicLab.Hive.Contracts/BusinessObjects/Job.cs	(revision 967)
@@ -37,5 +37,5 @@
     public ClientInfo Client { get; set; }
     [DataMember]
-    public Job parentJob { get; set; }
+    public Job ParentJob { get; set; }
   }
 }
Index: trunk/sources/HeuristicLab.Hive.Contracts/BusinessObjects/JobResult.cs
===================================================================
--- trunk/sources/HeuristicLab.Hive.Contracts/BusinessObjects/JobResult.cs	(revision 966)
+++ trunk/sources/HeuristicLab.Hive.Contracts/BusinessObjects/JobResult.cs	(revision 967)
@@ -38,5 +38,6 @@
     [DataMember]
     public ClientInfo Client { get; set; }
-
+    [DataMember]
+    public Exception Exception { get; set; }
   }
 }
Index: trunk/sources/HeuristicLab.Hive.Contracts/HiveServerMessages.resx
===================================================================
--- trunk/sources/HeuristicLab.Hive.Contracts/HiveServerMessages.resx	(revision 966)
+++ trunk/sources/HeuristicLab.Hive.Contracts/HiveServerMessages.resx	(revision 967)
@@ -196,3 +196,21 @@
     <value>In this context the id must not be set</value>
   </data>
+  <data name="Job.AllJobs" xml:space="preserve">
+    <value>All Jobs returned</value>
+  </data>
+  <data name="Job.IdMustNotBeSet" xml:space="preserve">
+    <value>Id must not be set in this context</value>
+  </data>
+  <data name="Job.JobAdded" xml:space="preserve">
+    <value>Job successfully added to database</value>
+  </data>
+  <data name="Job.JobNull" xml:space="preserve">
+    <value>The job you sent was null</value>
+  </data>
+  <data name="Job.JobRemoved" xml:space="preserve">
+    <value>Job successfully removed</value>
+  </data>
+  <data name="JobDoesntExist" xml:space="preserve">
+    <value>The specified job doesn't exist</value>
+  </data>
 </root>
Index: trunk/sources/HeuristicLab.Hive.Contracts/Interfaces/IJobManager.cs
===================================================================
--- trunk/sources/HeuristicLab.Hive.Contracts/Interfaces/IJobManager.cs	(revision 966)
+++ trunk/sources/HeuristicLab.Hive.Contracts/Interfaces/IJobManager.cs	(revision 967)
@@ -1,3 +1,24 @@
-﻿using System;
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2008 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System;
 using System.Collections.Generic;
 using System.Linq;
@@ -14,4 +35,8 @@
     [OperationContract]
     ResponseList<Job> GetAllJobs();
+    [OperationContract]
+    ResponseObject<Job> AddNewJob(Job job);
+    [OperationContract]
+    Response RemoveJob(long jobId);
   }
 }
Index: trunk/sources/HeuristicLab.Hive.Server.Core/JobManager.cs
===================================================================
--- trunk/sources/HeuristicLab.Hive.Server.Core/JobManager.cs	(revision 966)
+++ trunk/sources/HeuristicLab.Hive.Server.Core/JobManager.cs	(revision 967)
@@ -27,23 +27,61 @@
 using HeuristicLab.Hive.Contracts.BusinessObjects;
 using HeuristicLab.Hive.Contracts;
+using HeuristicLab.Hive.Server.Core.InternalInterfaces.DataAccess;
 
 namespace HeuristicLab.Hive.Server.Core {
   class JobManager: IJobManager {
 
-    List<Job> jobs;
+    IJobAdapter jobAdapter;
 
     #region IJobManager Members
 
     public JobManager() {
-      jobs = new List<Job>();
-
-      jobs.Add(new Job { JobId = 1, State = State.idle });
-      jobs.Add(new Job { JobId = 2, State = State.idle });
-      jobs.Add(new Job { JobId = 3, State = State.idle });
+      jobAdapter = ServiceLocator.GetJobAdapter();
     }
 
     public ResponseList<Job> GetAllJobs() {
       ResponseList<Job> response = new ResponseList<Job>();
-      response.List = jobs;
+
+      response.List = new List<Job>(jobAdapter.GetAllJobs());
+      response.Success = true;
+      response.StatusMessage = ApplicationConstants.RESPONSE_JOB_ALL_JOBS;
+      
+      return response;
+    }
+
+    public ResponseObject<Job> AddNewJob(Job job) {
+      ResponseObject<Job> response = new ResponseObject<Job>();
+
+      if (job != null) {
+        if (job.JobId != 0) {
+          response.Success = false;
+          response.StatusMessage = ApplicationConstants.RESPONSE_JOB_ID_MUST_NOT_BE_SET;
+          return response;
+        }
+        jobAdapter.UpdateJob(job);
+        response.Success = true;
+        response.Obj = job;
+        response.StatusMessage = ApplicationConstants.RESPONSE_JOB_JOB_ADDED;
+        return response;
+      }
+      response.Success = false;
+      response.StatusMessage = ApplicationConstants.RESPONSE_JOB_JOB_NULL;
+
+      return response;
+    }
+
+    public Response RemoveJob(long jobId) {
+      Response response = new Response();
+
+      Job job = jobAdapter.GetJobById(jobId);
+      if (job == null) {
+        response.Success = false;
+        response.StatusMessage = ApplicationConstants.RESPONSE_JOB_JOB_DOESNT_EXIST;
+        return response;
+      }
+      jobAdapter.DeleteJob(job);
+      response.Success = false;
+      response.StatusMessage = ApplicationConstants.RESPONSE_JOB_JOB_REMOVED;
+
       return response;
     }
Index: trunk/sources/HeuristicLab.Hive.Server.Core/ServerConsoleFacade.cs
===================================================================
--- trunk/sources/HeuristicLab.Hive.Server.Core/ServerConsoleFacade.cs	(revision 966)
+++ trunk/sources/HeuristicLab.Hive.Server.Core/ServerConsoleFacade.cs	(revision 967)
@@ -67,4 +67,11 @@
       return jobManager.GetAllJobs();
     }
+    public ResponseObject<Job> AddNewJob(Job job) {
+      throw new NotImplementedException();
+    }
+
+    public Response RemoveJob(long jobId) {
+      throw new NotImplementedException();
+    }
 
     #endregion
@@ -109,4 +116,5 @@
 
     #endregion
+
   }
 }