Index: branches/CEDMA-Refactoring-Ticket419/HeuristicLab.CEDMA.Core/DataSetListView.Designer.cs
===================================================================
--- branches/CEDMA-Refactoring-Ticket419/HeuristicLab.CEDMA.Core/DataSetListView.Designer.cs	(revision 957)
+++ branches/CEDMA-Refactoring-Ticket419/HeuristicLab.CEDMA.Core/DataSetListView.Designer.cs	(revision 989)
@@ -48,18 +48,14 @@
     /// </summary>
     private void InitializeComponent() {
-      this.components = new System.ComponentModel.Container();
       this.splitContainer1 = new System.Windows.Forms.SplitContainer();
-      this.agentsGroupBox = new System.Windows.Forms.GroupBox();
-      this.agentTreeView = new System.Windows.Forms.TreeView();
+      this.dataSetsGroupBox = new System.Windows.Forms.GroupBox();
+      this.dataSetsTreeView = new System.Windows.Forms.TreeView();
       this.detailsGroupBox = new System.Windows.Forms.GroupBox();
       this.addButton = new System.Windows.Forms.Button();
       this.refreshButton = new System.Windows.Forms.Button();
-      this.entryContextMenuStrip = new System.Windows.Forms.ContextMenuStrip(this.components);
-      this.exportAllResultsToolStripMenuItem = new System.Windows.Forms.ToolStripMenuItem();
       this.splitContainer1.Panel1.SuspendLayout();
       this.splitContainer1.Panel2.SuspendLayout();
       this.splitContainer1.SuspendLayout();
-      this.agentsGroupBox.SuspendLayout();
-      this.entryContextMenuStrip.SuspendLayout();
+      this.dataSetsGroupBox.SuspendLayout();
       this.SuspendLayout();
       // 
@@ -75,5 +71,5 @@
       // splitContainer1.Panel1
       // 
-      this.splitContainer1.Panel1.Controls.Add(this.agentsGroupBox);
+      this.splitContainer1.Panel1.Controls.Add(this.dataSetsGroupBox);
       // 
       // splitContainer1.Panel2
@@ -84,24 +80,23 @@
       this.splitContainer1.TabIndex = 0;
       // 
-      // agentsGroupBox
+      // dataSetsGroupBox
       // 
-      this.agentsGroupBox.Controls.Add(this.agentTreeView);
-      this.agentsGroupBox.Dock = System.Windows.Forms.DockStyle.Fill;
-      this.agentsGroupBox.Location = new System.Drawing.Point(0, 0);
-      this.agentsGroupBox.Name = "agentsGroupBox";
-      this.agentsGroupBox.Size = new System.Drawing.Size(135, 155);
-      this.agentsGroupBox.TabIndex = 0;
-      this.agentsGroupBox.TabStop = false;
-      this.agentsGroupBox.Text = "&Agents";
+      this.dataSetsGroupBox.Controls.Add(this.dataSetsTreeView);
+      this.dataSetsGroupBox.Dock = System.Windows.Forms.DockStyle.Fill;
+      this.dataSetsGroupBox.Location = new System.Drawing.Point(0, 0);
+      this.dataSetsGroupBox.Name = "dataSetsGroupBox";
+      this.dataSetsGroupBox.Size = new System.Drawing.Size(135, 155);
+      this.dataSetsGroupBox.TabIndex = 0;
+      this.dataSetsGroupBox.TabStop = false;
+      this.dataSetsGroupBox.Text = "&Data Sets";
       // 
       // agentTreeView
       // 
-      this.agentTreeView.Dock = System.Windows.Forms.DockStyle.Fill;
-      this.agentTreeView.Location = new System.Drawing.Point(3, 16);
-      this.agentTreeView.Name = "agentTreeView";
-      this.agentTreeView.Size = new System.Drawing.Size(129, 136);
-      this.agentTreeView.TabIndex = 0;
-      this.agentTreeView.BeforeExpand += new System.Windows.Forms.TreeViewCancelEventHandler(this.agentTreeView_BeforeExpand);
-      this.agentTreeView.AfterSelect += new System.Windows.Forms.TreeViewEventHandler(this.agentTreeView_AfterSelect);
+      this.dataSetsTreeView.Dock = System.Windows.Forms.DockStyle.Fill;
+      this.dataSetsTreeView.Location = new System.Drawing.Point(3, 16);
+      this.dataSetsTreeView.Name = "agentTreeView";
+      this.dataSetsTreeView.Size = new System.Drawing.Size(129, 136);
+      this.dataSetsTreeView.TabIndex = 0;
+      this.dataSetsTreeView.AfterSelect += new System.Windows.Forms.TreeViewEventHandler(this.dataSetsTreeView_AfterSelect);
       // 
       // detailsGroupBox
@@ -137,19 +132,5 @@
       this.refreshButton.Click += new System.EventHandler(this.refreshButton_Click);
       // 
-      // entryContextMenuStrip
-      // 
-      this.entryContextMenuStrip.Items.AddRange(new System.Windows.Forms.ToolStripItem[] {
-            this.exportAllResultsToolStripMenuItem});
-      this.entryContextMenuStrip.Name = "entryContextMenuStrip";
-      this.entryContextMenuStrip.Size = new System.Drawing.Size(166, 26);
-      // 
-      // exportAllResultsToolStripMenuItem
-      // 
-      this.exportAllResultsToolStripMenuItem.Name = "exportAllResultsToolStripMenuItem";
-      this.exportAllResultsToolStripMenuItem.Size = new System.Drawing.Size(165, 22);
-      this.exportAllResultsToolStripMenuItem.Text = "Export all results";
-      this.exportAllResultsToolStripMenuItem.Click += new System.EventHandler(this.exportAllResultsToolStripMenuItem_Click);
-      // 
-      // AgentListView
+      // DataSetListView
       // 
       this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
@@ -157,11 +138,10 @@
       this.Controls.Add(this.addButton);
       this.Controls.Add(this.splitContainer1);
-      this.Name = "AgentListView";
+      this.Name = "DataSetListView";
       this.Size = new System.Drawing.Size(276, 184);
       this.splitContainer1.Panel1.ResumeLayout(false);
       this.splitContainer1.Panel2.ResumeLayout(false);
       this.splitContainer1.ResumeLayout(false);
-      this.agentsGroupBox.ResumeLayout(false);
-      this.entryContextMenuStrip.ResumeLayout(false);
+      this.dataSetsGroupBox.ResumeLayout(false);
       this.ResumeLayout(false);
 
@@ -171,11 +151,9 @@
 
     private System.Windows.Forms.SplitContainer splitContainer1;
-    private System.Windows.Forms.GroupBox agentsGroupBox;
+    private System.Windows.Forms.GroupBox dataSetsGroupBox;
     private System.Windows.Forms.GroupBox detailsGroupBox;
     private System.Windows.Forms.Button addButton;
-    private TreeView agentTreeView;
+    private TreeView dataSetsTreeView;
     private Button refreshButton;
-    private ContextMenuStrip entryContextMenuStrip;
-    private ToolStripMenuItem exportAllResultsToolStripMenuItem;
   }
 }