Index: /trunk/sources/HeuristicLab.Hive.Client.Communication/WcfService.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Client.Communication/WcfService.cs	(revision 1000)
+++ /trunk/sources/HeuristicLab.Hive.Client.Communication/WcfService.cs	(revision 1001)
@@ -37,4 +37,5 @@
     public void Connect() {
       try {
+        proxy = null;
         if (proxy == null) {
           proxy = new ClientCommunicatorClient(
Index: /trunk/sources/HeuristicLab.Hive.Client.Console/app.config
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Client.Console/app.config	(revision 1000)
+++ /trunk/sources/HeuristicLab.Hive.Client.Console/app.config	(revision 1001)
@@ -31,5 +31,5 @@
                 contract="ClientService.IClientConsoleCommunicator" name="NetTcpBinding_IClientConsoleCommunicator">
                 <identity>
-                    <userPrincipalName value="mse08004@fhs-hagenberg.ac.at" />
+                    <userPrincipalName value="mse08003@fhs-hagenberg.ac.at" />
                 </identity>
             </endpoint>
Index: /trunk/sources/HeuristicLab.Hive.Client.Core/Core.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Client.Core/Core.cs	(revision 1000)
+++ /trunk/sources/HeuristicLab.Hive.Client.Core/Core.cs	(revision 1001)
@@ -42,4 +42,5 @@
 using HeuristicLab.Hive.Client.Core.ConfigurationManager;
 using HeuristicLab.Hive.Client.Communication.ServerService;
+using HeuristicLab.Hive.JobBase;
 
 
@@ -144,5 +145,5 @@
     void wcfService_PullJobCompleted(object sender, PullJobCompletedEventArgs e) {
       if (e.Result.StatusMessage != ApplicationConstants.RESPONSE_COMMUNICATOR_NO_JOBS_LEFT) {
-        bool sandboxed = true;
+        bool sandboxed = false;
 
         PluginManager.Manager.Initialize();
Index: /trunk/sources/HeuristicLab.Hive.Client.Core/HeuristicLab.Hive.Client.Core.csproj
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Client.Core/HeuristicLab.Hive.Client.Core.csproj	(revision 1000)
+++ /trunk/sources/HeuristicLab.Hive.Client.Core/HeuristicLab.Hive.Client.Core.csproj	(revision 1001)
@@ -120,4 +120,8 @@
       <Name>HeuristicLab.Hive.Contracts</Name>
     </ProjectReference>
+    <ProjectReference Include="..\HeuristicLab.Hive.Job\HeuristicLab.Hive.JobBase.csproj">
+      <Project>{21187322-52DD-4243-80A4-A85F0263E63B}</Project>
+      <Name>HeuristicLab.Hive.JobBase</Name>
+    </ProjectReference>
     <ProjectReference Include="..\HeuristicLab.PluginInfrastructure\HeuristicLab.PluginInfrastructure.csproj">
       <Project>{94186A6A-5176-4402-AE83-886557B53CCA}</Project>
Index: /trunk/sources/HeuristicLab.Hive.Client.ExecutionEngine/Executor.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Client.ExecutionEngine/Executor.cs	(revision 1000)
+++ /trunk/sources/HeuristicLab.Hive.Client.ExecutionEngine/Executor.cs	(revision 1001)
@@ -28,6 +28,7 @@
 using System.Xml.Serialization;
 using System.IO;
+using HeuristicLab.Core;
+using HeuristicLab.Hive.JobBase;
 using HeuristicLab.Hive.Contracts;
-using HeuristicLab.Core;
 
 namespace HeuristicLab.Hive.Client.ExecutionEngine {
Index: /trunk/sources/HeuristicLab.Hive.Client.ExecutionEngine/HeuristicLab.Hive.Client.ExecutionEngine.csproj
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Client.ExecutionEngine/HeuristicLab.Hive.Client.ExecutionEngine.csproj	(revision 1000)
+++ /trunk/sources/HeuristicLab.Hive.Client.ExecutionEngine/HeuristicLab.Hive.Client.ExecutionEngine.csproj	(revision 1001)
@@ -81,7 +81,15 @@
       <Name>HeuristicLab.Hive.Client.Common</Name>
     </ProjectReference>
+    <ProjectReference Include="..\HeuristicLab.Hive.Client.Communication\HeuristicLab.Hive.Client.Communication.csproj">
+      <Project>{AEB51212-CDBA-4FC6-A2EE-02359AA53ECE}</Project>
+      <Name>HeuristicLab.Hive.Client.Communication</Name>
+    </ProjectReference>
     <ProjectReference Include="..\HeuristicLab.Hive.Contracts\HeuristicLab.Hive.Contracts.csproj">
       <Project>{134F93D7-E7C8-4ECD-9923-7F63259A60D8}</Project>
       <Name>HeuristicLab.Hive.Contracts</Name>
+    </ProjectReference>
+    <ProjectReference Include="..\HeuristicLab.Hive.Job\HeuristicLab.Hive.JobBase.csproj">
+      <Project>{21187322-52DD-4243-80A4-A85F0263E63B}</Project>
+      <Name>HeuristicLab.Hive.JobBase</Name>
     </ProjectReference>
     <ProjectReference Include="..\HeuristicLab.PluginInfrastructure\HeuristicLab.PluginInfrastructure.csproj">
Index: /trunk/sources/HeuristicLab.Hive.Contracts/HeuristicLab.Hive.Contracts.csproj
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Contracts/HeuristicLab.Hive.Contracts.csproj	(revision 1000)
+++ /trunk/sources/HeuristicLab.Hive.Contracts/HeuristicLab.Hive.Contracts.csproj	(revision 1001)
@@ -86,5 +86,4 @@
     <Compile Include="BusinessObjects\UserGroup.cs" />
     <Compile Include="ResponseObject.cs" />
-    <Compile Include="Interfaces\IJob.cs" />
     <Compile Include="Interfaces\IClientManager.cs" />
     <Compile Include="Interfaces\IJobManager.cs" />
@@ -93,5 +92,4 @@
     <Compile Include="Interfaces\ITransactionManager.cs" />
     <Compile Include="Interfaces\IUserRoleManager.cs" />
-    <Compile Include="JobBase.cs" />
     <Compile Include="MessageContainer.cs" />
     <Compile Include="ResponseJob.cs" />
@@ -103,5 +101,4 @@
     <Compile Include="ResponseList.cs" />
     <Compile Include="ResponseResultReceived.cs" />
-    <Compile Include="TestJob.cs" />
   </ItemGroup>
   <ItemGroup>
Index: unk/sources/HeuristicLab.Hive.Contracts/Interfaces/IJob.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Contracts/Interfaces/IJob.cs	(revision 1000)
+++ 	(revision )
@@ -1,13 +1,0 @@
-﻿using System;
-using HeuristicLab.Core;
-namespace HeuristicLab.Hive.Contracts {
-  public interface IJob: IStorable {
-    event EventHandler JobStopped;
-    long JobId { get; set; }
-    double Progress { get; set; }
-    void Run();
-    bool Running { get; set; }
-    void Start();
-    void Stop();
-  }
-}
Index: unk/sources/HeuristicLab.Hive.Contracts/JobBase.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Contracts/JobBase.cs	(revision 1000)
+++ 	(revision )
@@ -1,82 +1,0 @@
-﻿#region License Information
-/* HeuristicLab
- * Copyright (C) 2002-2008 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
- *
- * This file is part of HeuristicLab.
- *
- * HeuristicLab is free software: you can redistribute it and/or modify
- * it under the terms of the GNU General Public License as published by
- * the Free Software Foundation, either version 3 of the License, or
- * (at your option) any later version.
- *
- * HeuristicLab is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
- */
-#endregion
-
-using System;
-using System.Collections.Generic;
-using System.Linq;
-using System.Text;
-using System.Threading;
-using System.Xml;
-using HeuristicLab.Core;
-using HeuristicLab.Hive.Contracts;
-
-namespace HeuristicLab.Hive.Contracts {
-  [Serializable]
-  abstract public class JobBase : StorableBase, IJob {
-
-    private Thread thread = null;
-    public event EventHandler JobStopped;
-    
-    public long JobId { get; set; }    
-    public double Progress { get; set; }        
-    public bool Running { get; set; }
-    
-    protected bool abort = false;    
-
-    abstract public void Run();
-
-    public void Start() {
-      thread = new Thread(new ThreadStart(Run));
-      thread.Start();
-      Running = true;
-    }
-
-    public void Stop() {
-      abort = true;        
-    }
-
-    protected void OnJobStopped() {
-      Console.WriteLine("Job has finished");
-      Running = false;
-      if (JobStopped != null)
-        JobStopped(this, new EventArgs());
-    }
-
-    public override XmlNode GetXmlNode(string name, XmlDocument document, IDictionary<Guid, IStorable> persistedObjects) {
-      XmlNode node = base.GetXmlNode(name, document, persistedObjects);
-
-      XmlNode progr = document.CreateNode(XmlNodeType.Element, "Progress", null);
-      progr.InnerText = Convert.ToString(Progress);
-
-      node.AppendChild(progr);
-      return node;
-    }
-    public override void Populate(XmlNode node, IDictionary<Guid, IStorable> restoredObjects) {
-      base.Populate(node, restoredObjects);
-
-      XmlNode progr = node.SelectSingleNode("Progress");
-      Progress = Convert.ToDouble(progr.InnerText);
-    }
-
-    public JobBase() {    
-    }
-  }
-}
Index: unk/sources/HeuristicLab.Hive.Contracts/TestJob.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Contracts/TestJob.cs	(revision 1000)
+++ 	(revision )
@@ -1,69 +1,0 @@
-﻿#region License Information
-/* HeuristicLab
- * Copyright (C) 2002-2008 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
- *
- * This file is part of HeuristicLab.
- *
- * HeuristicLab is free software: you can redistribute it and/or modify
- * it under the terms of the GNU General Public License as published by
- * the Free Software Foundation, either version 3 of the License, or
- * (at your option) any later version.
- *
- * HeuristicLab is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
- */
-#endregion
-
-using System;
-using System.Collections.Generic;
-using System.Linq;
-using System.Text;
-using System.Diagnostics;
-using System.Xml;
-
-namespace HeuristicLab.Hive.Contracts {
-  [Serializable]
-  public class TestJob: JobBase {
-
-    private int runValue = 0;
-
-    public override void Run() {
-      int max = 10;
-      while(runValue < max && abort == false) {
-        for (int y = 0; y < Int32.MaxValue; y++) ;
-          if (abort == true) {            
-            Debug.WriteLine("Job Abort Processing");
-           break;
-          }
-        runValue++;
-        Progress = (double)runValue / max;        
-        Debug.WriteLine("Iteration " + runValue + " done");
-        Debug.WriteLine("Progress " + Progress*100 + " Percent");
-      }      
-      OnJobStopped();
-    }
-    public override System.Xml.XmlNode GetXmlNode(string name, System.Xml.XmlDocument document, IDictionary<Guid, HeuristicLab.Core.IStorable> persistedObjects) {      
-      XmlNode node = base.GetXmlNode(name, document, persistedObjects);
-    
-      XmlNode startValue = document.CreateNode(XmlNodeType.Element, "StartValue", null);
-      startValue.InnerText = Convert.ToString(runValue);
-      
-      node.AppendChild(startValue);
-      return node;
-    }
-
-    public override void Populate(XmlNode node, IDictionary<Guid, HeuristicLab.Core.IStorable> restoredObjects) {
-      base.Populate(node, restoredObjects);
-
-      XmlNode startValue = node.SelectSingleNode("StartValue");
-      runValue = Convert.ToInt32(startValue.InnerText);
-    }
-
-
-  }
-}
Index: /trunk/sources/HeuristicLab.Hive.Job/HeuristicLab.Hive.JobBase.csproj
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Job/HeuristicLab.Hive.JobBase.csproj	(revision 1001)
+++ /trunk/sources/HeuristicLab.Hive.Job/HeuristicLab.Hive.JobBase.csproj	(revision 1001)
@@ -0,0 +1,86 @@
+﻿<?xml version="1.0" encoding="utf-8"?>
+<Project ToolsVersion="3.5" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
+  <PropertyGroup>
+    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
+    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
+    <ProductVersion>9.0.30729</ProductVersion>
+    <SchemaVersion>2.0</SchemaVersion>
+    <ProjectGuid>{21187322-52DD-4243-80A4-A85F0263E63B}</ProjectGuid>
+    <OutputType>Library</OutputType>
+    <AppDesignerFolder>Properties</AppDesignerFolder>
+    <RootNamespace>HeuristicLab.Hive.JobBase</RootNamespace>
+    <AssemblyName>HeuristicLab.Hive.JobBase-3.2</AssemblyName>
+    <TargetFrameworkVersion>v3.5</TargetFrameworkVersion>
+    <FileAlignment>512</FileAlignment>
+    <SignAssembly>true</SignAssembly>
+    <AssemblyOriginatorKeyFile>HeuristicLab.snk</AssemblyOriginatorKeyFile>
+  </PropertyGroup>
+  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
+    <DebugSymbols>true</DebugSymbols>
+    <DebugType>full</DebugType>
+    <Optimize>false</Optimize>
+    <OutputPath>bin\Debug\</OutputPath>
+    <DefineConstants>DEBUG;TRACE</DefineConstants>
+    <ErrorReport>prompt</ErrorReport>
+    <WarningLevel>4</WarningLevel>
+  </PropertyGroup>
+  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
+    <DebugType>pdbonly</DebugType>
+    <Optimize>true</Optimize>
+    <OutputPath>bin\Release\</OutputPath>
+    <DefineConstants>TRACE</DefineConstants>
+    <ErrorReport>prompt</ErrorReport>
+    <WarningLevel>4</WarningLevel>
+  </PropertyGroup>
+  <ItemGroup>
+    <Reference Include="System" />
+    <Reference Include="System.Core">
+      <RequiredTargetFramework>3.5</RequiredTargetFramework>
+    </Reference>
+    <Reference Include="System.Xml.Linq">
+      <RequiredTargetFramework>3.5</RequiredTargetFramework>
+    </Reference>
+    <Reference Include="System.Data.DataSetExtensions">
+      <RequiredTargetFramework>3.5</RequiredTargetFramework>
+    </Reference>
+    <Reference Include="System.Data" />
+    <Reference Include="System.Xml" />
+  </ItemGroup>
+  <ItemGroup>
+    <Compile Include="Interfaces\IJob.cs" />
+    <Compile Include="JobBase.cs" />
+    <Compile Include="JobPlugin.cs" />
+    <Compile Include="Properties\AssemblyInfo.cs" />
+    <Compile Include="TestJob.cs" />
+  </ItemGroup>
+  <ItemGroup>
+    <ProjectReference Include="..\HeuristicLab.Core\HeuristicLab.Core.csproj">
+      <Project>{F43B59AB-2B8C-4570-BC1E-15592086517C}</Project>
+      <Name>HeuristicLab.Core</Name>
+    </ProjectReference>
+    <ProjectReference Include="..\HeuristicLab.PluginInfrastructure\HeuristicLab.PluginInfrastructure.csproj">
+      <Project>{94186A6A-5176-4402-AE83-886557B53CCA}</Project>
+      <Name>HeuristicLab.PluginInfrastructure</Name>
+    </ProjectReference>
+  </ItemGroup>
+  <ItemGroup>
+    <None Include="HeuristicLab.snk" />
+    <None Include="Properties\AssemblyInfo.frame" />
+  </ItemGroup>
+  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
+  <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
+       Other similar extension points exist, see Microsoft.Common.targets.
+  <Target Name="BeforeBuild">
+  </Target>
+  <Target Name="AfterBuild">
+  </Target>
+  -->
+  <PropertyGroup>
+    <PreBuildEvent>set Path=%25Path%25;$(ProjectDir);$(SolutionDir)
+set ProjectDir=$(ProjectDir)
+set SolutionDir=$(SolutionDir)
+set Outdir=$(Outdir)
+
+call PreBuildEvent.cmd</PreBuildEvent>
+  </PropertyGroup>
+</Project>
Index: /trunk/sources/HeuristicLab.Hive.Job/Interfaces/IJob.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Job/Interfaces/IJob.cs	(revision 1001)
+++ /trunk/sources/HeuristicLab.Hive.Job/Interfaces/IJob.cs	(revision 1001)
@@ -0,0 +1,13 @@
+﻿using System;
+using HeuristicLab.Core;
+namespace HeuristicLab.Hive.JobBase {
+  public interface IJob: IStorable {
+    event EventHandler JobStopped;
+    long JobId { get; set; }
+    double Progress { get; set; }
+    void Run();
+    bool Running { get; set; }
+    void Start();
+    void Stop();
+  }
+}
Index: /trunk/sources/HeuristicLab.Hive.Job/JobBase.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Job/JobBase.cs	(revision 1001)
+++ /trunk/sources/HeuristicLab.Hive.Job/JobBase.cs	(revision 1001)
@@ -0,0 +1,81 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2008 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Text;
+using System.Threading;
+using System.Xml;
+using HeuristicLab.Core;
+
+namespace HeuristicLab.Hive.JobBase {
+  [Serializable]
+  abstract public class JobBase : StorableBase, IJob {
+
+    private Thread thread = null;
+    public event EventHandler JobStopped;
+    
+    public long JobId { get; set; }    
+    public double Progress { get; set; }        
+    public bool Running { get; set; }
+    
+    protected bool abort = false;    
+
+    abstract public void Run();
+
+    public void Start() {
+      thread = new Thread(new ThreadStart(Run));
+      thread.Start();
+      Running = true;
+    }
+
+    public void Stop() {
+      abort = true;        
+    }
+
+    protected void OnJobStopped() {
+      Console.WriteLine("Job has finished");
+      Running = false;
+      if (JobStopped != null)
+        JobStopped(this, new EventArgs());
+    }
+
+    public override XmlNode GetXmlNode(string name, XmlDocument document, IDictionary<Guid, IStorable> persistedObjects) {
+      XmlNode node = base.GetXmlNode(name, document, persistedObjects);
+
+      XmlNode progr = document.CreateNode(XmlNodeType.Element, "Progress", null);
+      progr.InnerText = Convert.ToString(Progress);
+
+      node.AppendChild(progr);
+      return node;
+    }
+    public override void Populate(XmlNode node, IDictionary<Guid, IStorable> restoredObjects) {
+      base.Populate(node, restoredObjects);
+
+      XmlNode progr = node.SelectSingleNode("Progress");
+      Progress = Convert.ToDouble(progr.InnerText);
+    }
+
+    public JobBase() {    
+    }
+  }
+}
Index: /trunk/sources/HeuristicLab.Hive.Job/JobPlugin.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Job/JobPlugin.cs	(revision 1001)
+++ /trunk/sources/HeuristicLab.Hive.Job/JobPlugin.cs	(revision 1001)
@@ -0,0 +1,13 @@
+﻿using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Text;
+using HeuristicLab.PluginInfrastructure;
+
+namespace HeuristicLab.Hive.JobBase {
+  [ClassInfo(Name = "HeuristicLab.Hive.JobBase-3.2")]
+  [PluginFile(Filename = "HeuristicLab.Hive.JobBase-3.2.dll", Filetype = PluginFileType.Assembly)]
+  [Dependency(Dependency = "HeuristicLab.Core-3.2")]
+  public class JobBasePlugin: PluginBase {
+  }
+}
Index: /trunk/sources/HeuristicLab.Hive.Job/Properties/AssemblyInfo.frame
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Job/Properties/AssemblyInfo.frame	(revision 1001)
+++ /trunk/sources/HeuristicLab.Hive.Job/Properties/AssemblyInfo.frame	(revision 1001)
@@ -0,0 +1,61 @@
+#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2008 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System.Reflection;
+using System.Runtime.CompilerServices;
+using System.Runtime.InteropServices;
+using HeuristicLab.PluginInfrastructure;
+using System.Security;
+
+// General Information about an assembly is controlled through the following 
+// set of attributes. Change these attribute values to modify the information
+// associated with an assembly.
+[assembly: AssemblyTitle("HeuristicLab.Hive.Job")]
+[assembly: AssemblyDescription("")]
+[assembly: AssemblyConfiguration("")]
+[assembly: AssemblyCompany("")]
+[assembly: AssemblyProduct("HeuristicLab")]
+[assembly: AssemblyCopyright("(c) 2002-2008 HEAL")]
+[assembly: AssemblyTrademark("")]
+[assembly: AssemblyCulture("")]
+[assembly: AllowPartiallyTrustedCallers]
+
+// Setting ComVisible to false makes the types in this assembly not visible 
+// to COM components.  If you need to access a type in this assembly from 
+// COM, set the ComVisible attribute to true on that type.
+[assembly: ComVisible(false)]
+
+// The following GUID is for the ID of the typelib if this project is exposed to COM
+[assembly: Guid("B6BA196A-F2E3-4de2-AE8A-02D4995F8B57")]
+
+// Version information for an assembly consists of the following four values:
+//
+//      Major Version
+//      Minor Version 
+//      Build Number
+//      Revision
+//
+// You can specify all the values or you can default the Build and Revision Numbers 
+// by using the '*' as shown below:
+// [assembly: AssemblyVersion("1.0.*")]
+[assembly: AssemblyVersion("3.2.0.$WCREV$")]
+[assembly: AssemblyFileVersion("3.2.0.$WCREV$")]
+[assembly: AssemblyBuildDate("$WCNOW$")]
Index: /trunk/sources/HeuristicLab.Hive.Job/TestJob.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Job/TestJob.cs	(revision 1001)
+++ /trunk/sources/HeuristicLab.Hive.Job/TestJob.cs	(revision 1001)
@@ -0,0 +1,69 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2008 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Text;
+using System.Diagnostics;
+using System.Xml;
+
+namespace HeuristicLab.Hive.JobBase {
+  [Serializable]
+  public class TestJob: JobBase {
+
+    private int runValue = 0;
+
+    public override void Run() {
+      int max = 10;
+      while(runValue < max && abort == false) {
+        for (int y = 0; y < Int32.MaxValue; y++) ;
+          if (abort == true) {            
+            Debug.WriteLine("Job Abort Processing");
+           break;
+          }
+        runValue++;
+        Progress = (double)runValue / max;        
+        Debug.WriteLine("Iteration " + runValue + " done");
+        Debug.WriteLine("Progress " + Progress*100 + " Percent");
+      }      
+      OnJobStopped();
+    }
+    public override System.Xml.XmlNode GetXmlNode(string name, System.Xml.XmlDocument document, IDictionary<Guid, HeuristicLab.Core.IStorable> persistedObjects) {      
+      XmlNode node = base.GetXmlNode(name, document, persistedObjects);
+    
+      XmlNode startValue = document.CreateNode(XmlNodeType.Element, "StartValue", null);
+      startValue.InnerText = Convert.ToString(runValue);
+      
+      node.AppendChild(startValue);
+      return node;
+    }
+
+    public override void Populate(XmlNode node, IDictionary<Guid, HeuristicLab.Core.IStorable> restoredObjects) {
+      base.Populate(node, restoredObjects);
+
+      XmlNode startValue = node.SelectSingleNode("StartValue");
+      runValue = Convert.ToInt32(startValue.InnerText);
+    }
+
+
+  }
+}
Index: /trunk/sources/HeuristicLab.Hive.Server.Core/ClientCommunicator.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Server.Core/ClientCommunicator.cs	(revision 1000)
+++ /trunk/sources/HeuristicLab.Hive.Server.Core/ClientCommunicator.cs	(revision 1001)
@@ -10,4 +10,5 @@
 using System.Resources;
 using System.Reflection;
+using HeuristicLab.Hive.JobBase;
 
 namespace HeuristicLab.Hive.Server.Core {
Index: /trunk/sources/HeuristicLab.Hive.Server.Core/HeuristicLab.Hive.Server.Core.csproj
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Server.Core/HeuristicLab.Hive.Server.Core.csproj	(revision 1000)
+++ /trunk/sources/HeuristicLab.Hive.Server.Core/HeuristicLab.Hive.Server.Core.csproj	(revision 1001)
@@ -100,4 +100,8 @@
       <Name>HeuristicLab.Hive.Contracts</Name>
     </ProjectReference>
+    <ProjectReference Include="..\HeuristicLab.Hive.Job\HeuristicLab.Hive.JobBase.csproj">
+      <Project>{21187322-52DD-4243-80A4-A85F0263E63B}</Project>
+      <Name>HeuristicLab.Hive.JobBase</Name>
+    </ProjectReference>
     <ProjectReference Include="..\HeuristicLab.PluginInfrastructure\HeuristicLab.PluginInfrastructure.csproj">
       <Project>{94186A6A-5176-4402-AE83-886557B53CCA}</Project>
Index: /trunk/sources/HeuristicLab.sln
===================================================================
--- /trunk/sources/HeuristicLab.sln	(revision 1000)
+++ /trunk/sources/HeuristicLab.sln	(revision 1001)
@@ -4,5 +4,4 @@
 Project("{2150E333-8FDC-42A3-9474-1A3956D46DE8}") = "Solution Items", "Solution Items", "{96396439-A764-4022-A8D2-BE021449B8D1}"
 	ProjectSection(SolutionItems) = preProject
-		ConfigMerger.exe = ConfigMerger.exe
 		..\documentation\License\gpl-3.0.txt = ..\documentation\License\gpl-3.0.txt
 		PreBuildEvent.cmd = PreBuildEvent.cmd
@@ -130,4 +129,6 @@
 EndProject
 Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Hive.Server.Console", "HeuristicLab.Hive.Server.Console\HeuristicLab.Hive.Server.Console.csproj", "{42A1D075-6C12-4DD9-B0C2-C6F5210A8119}"
+EndProject
+Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Hive.JobBase", "HeuristicLab.Hive.Job\HeuristicLab.Hive.JobBase.csproj", "{21187322-52DD-4243-80A4-A85F0263E63B}"
 EndProject
 Global
@@ -1011,4 +1012,16 @@
 		{42A1D075-6C12-4DD9-B0C2-C6F5210A8119}.Visualization Debug|x86.ActiveCfg = Debug|x86
 		{42A1D075-6C12-4DD9-B0C2-C6F5210A8119}.Visualization Debug|x86.Build.0 = Debug|x86
+		{21187322-52DD-4243-80A4-A85F0263E63B}.CEDMA Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{21187322-52DD-4243-80A4-A85F0263E63B}.CEDMA Debug|Any CPU.Build.0 = Debug|Any CPU
+		{21187322-52DD-4243-80A4-A85F0263E63B}.CEDMA Debug|x86.ActiveCfg = Debug|Any CPU
+		{21187322-52DD-4243-80A4-A85F0263E63B}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{21187322-52DD-4243-80A4-A85F0263E63B}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{21187322-52DD-4243-80A4-A85F0263E63B}.Debug|x86.ActiveCfg = Debug|Any CPU
+		{21187322-52DD-4243-80A4-A85F0263E63B}.Release|Any CPU.ActiveCfg = Release|Any CPU
+		{21187322-52DD-4243-80A4-A85F0263E63B}.Release|Any CPU.Build.0 = Release|Any CPU
+		{21187322-52DD-4243-80A4-A85F0263E63B}.Release|x86.ActiveCfg = Release|Any CPU
+		{21187322-52DD-4243-80A4-A85F0263E63B}.Visualization Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{21187322-52DD-4243-80A4-A85F0263E63B}.Visualization Debug|Any CPU.Build.0 = Debug|Any CPU
+		{21187322-52DD-4243-80A4-A85F0263E63B}.Visualization Debug|x86.ActiveCfg = Debug|Any CPU
 	EndGlobalSection
 	GlobalSection(SolutionProperties) = preSolution
Index: /trunk/sources/HeuristicLab/CopyAssemblies.cmd
===================================================================
--- /trunk/sources/HeuristicLab/CopyAssemblies.cmd	(revision 1000)
+++ /trunk/sources/HeuristicLab/CopyAssemblies.cmd	(revision 1001)
@@ -61,4 +61,5 @@
 copy "%SolutionDir%\HeuristicLab.Visualization\%Outdir%\HeuristicLab.Visualization-3.2.dll" .\plugins
 copy "%SolutionDir%\HeuristicLab.Visualization.Test\%Outdir%\HeuristicLab.Visualization.Test-3.2.dll" .\plugins
+copy "%SolutionDir%\HeuristicLab.Hive.Job\%Outdir%\HeuristicLab.Hive.Job-3.2.dll" .\plugins
 copy "%SolutionDir%\HeuristicLab.Hive.Server\%Outdir%\HeuristicLab.Hive.Server-3.2.dll" .\plugins
 copy "%SolutionDir%\HeuristicLab.Hive.Server.ADODataAccess\%Outdir%\HeuristicLab.Hive.Server.ADODataAccess-3.2.dll" .\plugins