Index: trunk/sources/HeuristicLab.Hive.Client.Communication/Service References/ServerService/Reference.cs
===================================================================
--- trunk/sources/HeuristicLab.Hive.Client.Communication/Service References/ServerService/Reference.cs	(revision 993)
+++ trunk/sources/HeuristicLab.Hive.Client.Communication/Service References/ServerService/Reference.cs	(revision 1007)
@@ -44,8 +44,8 @@
         
         [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IClientCommunicator/SendJobResult", ReplyAction="http://tempuri.org/IClientCommunicator/SendJobResultResponse")]
-        HeuristicLab.Hive.Contracts.ResponseResultReceived SendJobResult(HeuristicLab.Hive.Contracts.BusinessObjects.JobResult Result, bool finished);
+        HeuristicLab.Hive.Contracts.ResponseResultReceived SendJobResult(HeuristicLab.Hive.Contracts.BusinessObjects.JobResult result, bool finished);
         
         [System.ServiceModel.OperationContractAttribute(AsyncPattern=true, Action="http://tempuri.org/IClientCommunicator/SendJobResult", ReplyAction="http://tempuri.org/IClientCommunicator/SendJobResultResponse")]
-        System.IAsyncResult BeginSendJobResult(HeuristicLab.Hive.Contracts.BusinessObjects.JobResult Result, bool finished, System.AsyncCallback callback, object asyncState);
+        System.IAsyncResult BeginSendJobResult(HeuristicLab.Hive.Contracts.BusinessObjects.JobResult result, bool finished, System.AsyncCallback callback, object asyncState);
         
         HeuristicLab.Hive.Contracts.ResponseResultReceived EndSendJobResult(System.IAsyncResult result);
@@ -375,11 +375,11 @@
         }
         
-        public HeuristicLab.Hive.Contracts.ResponseResultReceived SendJobResult(HeuristicLab.Hive.Contracts.BusinessObjects.JobResult Result, bool finished) {
-            return base.Channel.SendJobResult(Result, finished);
-        }
-        
-        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
-        public System.IAsyncResult BeginSendJobResult(HeuristicLab.Hive.Contracts.BusinessObjects.JobResult Result, bool finished, System.AsyncCallback callback, object asyncState) {
-            return base.Channel.BeginSendJobResult(Result, finished, callback, asyncState);
+        public HeuristicLab.Hive.Contracts.ResponseResultReceived SendJobResult(HeuristicLab.Hive.Contracts.BusinessObjects.JobResult result, bool finished) {
+            return base.Channel.SendJobResult(result, finished);
+        }
+        
+        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
+        public System.IAsyncResult BeginSendJobResult(HeuristicLab.Hive.Contracts.BusinessObjects.JobResult result, bool finished, System.AsyncCallback callback, object asyncState) {
+            return base.Channel.BeginSendJobResult(result, finished, callback, asyncState);
         }
         
@@ -390,7 +390,7 @@
         
         private System.IAsyncResult OnBeginSendJobResult(object[] inValues, System.AsyncCallback callback, object asyncState) {
-            HeuristicLab.Hive.Contracts.BusinessObjects.JobResult Result = ((HeuristicLab.Hive.Contracts.BusinessObjects.JobResult)(inValues[0]));
+            HeuristicLab.Hive.Contracts.BusinessObjects.JobResult result = ((HeuristicLab.Hive.Contracts.BusinessObjects.JobResult)(inValues[0]));
             bool finished = ((bool)(inValues[1]));
-            return this.BeginSendJobResult(Result, finished, callback, asyncState);
+            return this.BeginSendJobResult(result, finished, callback, asyncState);
         }
         
@@ -408,9 +408,9 @@
         }
         
-        public void SendJobResultAsync(HeuristicLab.Hive.Contracts.BusinessObjects.JobResult Result, bool finished) {
-            this.SendJobResultAsync(Result, finished, null);
-        }
-        
-        public void SendJobResultAsync(HeuristicLab.Hive.Contracts.BusinessObjects.JobResult Result, bool finished, object userState) {
+        public void SendJobResultAsync(HeuristicLab.Hive.Contracts.BusinessObjects.JobResult result, bool finished) {
+            this.SendJobResultAsync(result, finished, null);
+        }
+        
+        public void SendJobResultAsync(HeuristicLab.Hive.Contracts.BusinessObjects.JobResult result, bool finished, object userState) {
             if ((this.onBeginSendJobResultDelegate == null)) {
                 this.onBeginSendJobResultDelegate = new BeginOperationDelegate(this.OnBeginSendJobResult);
@@ -423,5 +423,5 @@
             }
             base.InvokeAsync(this.onBeginSendJobResultDelegate, new object[] {
-                        Result,
+                        result,
                         finished}, this.onEndSendJobResultDelegate, this.onSendJobResultCompletedDelegate, userState);
         }